Package icyllis.modernui.graphics

# Enum Class Shader.TileMode

java.lang.Object
java.lang.Enum<Shader.TileMode>
icyllis.modernui.graphics.Shader.TileMode

All Implemented Interfaces:
  `Serializable`, `Comparable<Shader.TileMode>`, `Constable`

Enclosing class:
  `Shader`

public static enum Shader.TileMode extends Enum<Shader.TileMode>
Tile modes, also known as address modes and wrap modes. The tile mode specifies behavior of sampling with texture coordinates outside the image bounds.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CLAMP`
  Replicate the edge color if the shader draws outside of its original bounds.
  `DECAL`
  Render the shader's image pixels only within its original bounds.
  `MIRROR`
  Repeat the shader's image horizontally and vertically, alternating mirror images so that adjacent images always seam.
  `REPEAT`
  Repeat the shader's image horizontally and vertically.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Shader.TileMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Shader.TileMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### REPEAT

    public static final Shader.TileMode REPEAT
    Repeat the shader's image horizontally and vertically.

  - ### MIRROR

    public static final Shader.TileMode MIRROR
    Repeat the shader's image horizontally and vertically, alternating mirror images so that adjacent images always seam.

  - ### CLAMP

    public static final Shader.TileMode CLAMP
    Replicate the edge color if the shader draws outside of its original bounds.

  - ### DECAL

    public static final Shader.TileMode DECAL
    Render the shader's image pixels only within its original bounds. If the shader draws outside of its original bounds, transparent black is drawn instead.

- ## Method Details

  - ### values

    public static Shader.TileMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Shader.TileMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null